]> git.decadent.org.uk Git - nfs-utils.git/blobdiff - debian/nfs-common.init
Only use rpcbind's rpcinfo when it's available
[nfs-utils.git] / debian / nfs-common.init
index d69eb34a9f3c410e5f6154f9936172a8d714319f..5e30d95998598f800ed10cb16ba46d43c95e84c5 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 ### BEGIN INIT INFO
 # Provides:          nfs-common
@@ -50,9 +50,10 @@ if [ -f /etc/fstab ]; then
                continue
                ;;
        esac
-        if [ "$FSTYPE" = "nfs4" ]; then
+       # FSTYPE "nfs" can be NFSv4 now
+        #if [ "$FSTYPE" = "nfs4" ]; then
             AUTO_NEED_IDMAPD=yes
-        fi
+        #fi
         case "$OPTS" in
 
             sec=krb5|*,sec=krb5|sec=krb5,*|*,sec=krb5i,*|sec=krb5i|*,sec=krb5i|sec=krb5i,*|*,sec=krb5i,*|sec=krb5p|*,sec=krb5p|sec=krb5p,*|*,sec=krb5p,*)
@@ -137,15 +138,16 @@ case "$1" in
        if [ "$NEED_STATD" = yes ]; then
            log_progress_msg "statd"
            
-           # See if portmap or rpcbind are running
-           lsof -i :111 >/dev/null
-           RET=$?
-           if [ $RET != 0 ]; then
-               echo
-               log_warning_msg "Not starting: portmap daemon is not running"
-               exit 0
+           # See if rpcbind is running
+           if [ -x /usr/sbin/rpcinfo ]; then
+               /usr/sbin/rpcinfo -p >/dev/null 2>&1
+               RET=$?
+               if [ $RET != 0 ]; then
+                  echo
+                  log_warning_msg "Not starting: portmapper is not running"
+                  exit 0
+               fi
            fi
-
            start-stop-daemon --start --oknodo --quiet \
                --pidfile /var/run/rpc.statd.pid \
                --exec $PREFIX/sbin/rpc.statd -- $STATDOPTS